Loading...
Searching...
No Matches
BALL::VIEW::AssignBondOrderResultsDialog Class Reference

`#include <BALL/VIEW/DIALOGS/assignBondOrderResultsDialog.h>`

Inheritance diagram for BALL::VIEW::AssignBondOrderResultsDialog:

## Public Slots

void | show ()
| Show and raise dialog.
void | addSolutionToStructures ()
void | computeNextSolution ()
void | switchView (QTreeWidgetItem *item, int column)
| show the chosen solution
void | createEntries ()
void | clearEntries ()
void | finished ()

## Public Member Functions

| AssignBondOrderResultsDialog (QWidget *parent=NULL, const char *name="AssignBondOrderResultsDialog")
| Default Constructor.
virtual | ~AssignBondOrderResultsDialog ()
| Destructor.
virtual void | initializeWidget (MainControl &main_control)
void | setProcessor (AssignBondOrderProcessor *abop)
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const

## Protected Attributes

SDWidget | sdwidget_
std::map< QTreeWidgetItem *, System * > | sd_systems_
std::map< QTreeWidgetItem *, System * > | solution_systems_
std::map< QTreeWidgetItem *, Position > | solution_number_
std::map< QTreeWidgetItem *, String > | descriptions_
AssignBondOrderProcessor * | bond_order_processor_
QTreeWidgetItem * | root_
QTreeWidgetItem * | activated_item_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Dialog for presenting the bond order assingment sets and generating structures for each found solution

Definition at line 31 of file assignBondOrderResultsDialog.h.

## Constructor & Destructor Documentation

## AssignBondOrderResultsDialog()

BALL::VIEW::AssignBondOrderResultsDialog::AssignBondOrderResultsDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "AssignBondOrderResultsDialog" )

Default Constructor.

## ~AssignBondOrderResultsDialog()

virtual BALL::VIEW::AssignBondOrderResultsDialog::~AssignBondOrderResultsDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## addSolutionToStructures

void BALL::VIEW::AssignBondOrderResultsDialog::addSolutionToStructures | ( |  | ) |

slot

## clearEntries

void BALL::VIEW::AssignBondOrderResultsDialog::clearEntries | ( |  | ) |

slot

## computeNextSolution

void BALL::VIEW::AssignBondOrderResultsDialog::computeNextSolution | ( |  | ) |

slot

## createEntries

void BALL::VIEW::AssignBondOrderResultsDialog::createEntries | ( |  | ) |

slot

## finished

void BALL::VIEW::AssignBondOrderResultsDialog::finished | ( |  | ) |

slot

## initializeWidget()

virtual void BALL::VIEW::AssignBondOrderResultsDialog::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Initialize the widget. This method is called automatically immediately before the main application is started. It should add the widget's menu entries and connections (if required). This method will be called by MainControl::show.

Parameters

  main_control | the MainControl object to be initialized with this ModularWidget

See also
  finalizeWidget()

Reimplemented from BALL::VIEW::ModularWidget.

## setProcessor()

void BALL::VIEW::AssignBondOrderResultsDialog::setProcessor | ( | AssignBondOrderProcessor * | abop | ) |

## show

void BALL::VIEW::AssignBondOrderResultsDialog::show | ( |  | ) |

slot

Show and raise dialog.

## switchView

void BALL::VIEW::AssignBondOrderResultsDialog::switchView | ( | QTreeWidgetItem * | item,
|  | int | column )

slot

show the chosen solution

## Member Data Documentation

## activated_item_

QTreeWidgetItem* BALL::VIEW::AssignBondOrderResultsDialog::activated_item_

protected

Definition at line 97 of file assignBondOrderResultsDialog.h.

## bond_order_processor_

AssignBondOrderProcessor* BALL::VIEW::AssignBondOrderResultsDialog::bond_order_processor_

protected

Definition at line 93 of file assignBondOrderResultsDialog.h.

## descriptions_

std::map<QTreeWidgetItem*, String> BALL::VIEW::AssignBondOrderResultsDialog::descriptions_

protected

Definition at line 91 of file assignBondOrderResultsDialog.h.

## root_

QTreeWidgetItem* BALL::VIEW::AssignBondOrderResultsDialog::root_

protected

Definition at line 95 of file assignBondOrderResultsDialog.h.

## sd_systems_

std::map<QTreeWidgetItem*, System*> BALL::VIEW::AssignBondOrderResultsDialog::sd_systems_

protected

Definition at line 82 of file assignBondOrderResultsDialog.h.

## sdwidget_

SDWidget BALL::VIEW::AssignBondOrderResultsDialog::sdwidget_

protected

Definition at line 79 of file assignBondOrderResultsDialog.h.

## solution_number_

std::map<QTreeWidgetItem*, Position> BALL::VIEW::AssignBondOrderResultsDialog::solution_number_

protected

Definition at line 88 of file assignBondOrderResultsDialog.h.

## solution_systems_

std::map<QTreeWidgetItem*, System*> BALL::VIEW::AssignBondOrderResultsDialog::solution_systems_

protected

Definition at line 85 of file assignBondOrderResultsDialog.h.